org.apache.xpath

## Interface ExtensionsProvider

- All Known Implementing Classes:
    JAXPExtensionsProvider, TransformerImpl

      public interface ExtensionsProvider

  Interface that XPath objects can call to obtain access to an ExtensionsTable.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `elementAvailable(java.lang.String ns, java.lang.String elemName)` Is the extension element available?
    `java.lang.Object` | `extFunction(FuncExtFunction extFunction, java.util.Vector argVec)` Execute the extension function.
    `java.lang.Object` | `extFunction(java.lang.String ns, java.lang.String funcName, java.util.Vector argVec, java.lang.Object methodKey)` Execute the extension function.
    `boolean` | `functionAvailable(java.lang.String ns, java.lang.String funcName)` Is the extension function available?

- - ### Method Detail

    - #### functionAvailable

          boolean functionAvailable(java.lang.String ns,
                                    java.lang.String funcName)
                             throws javax.xml.transform.TransformerException

      Is the extension function available?
      Throws:
        `javax.xml.transform.TransformerException`

    - #### elementAvailable

          boolean elementAvailable(java.lang.String ns,
                                   java.lang.String elemName)
                            throws javax.xml.transform.TransformerException

      Is the extension element available?
      Throws:
        `javax.xml.transform.TransformerException`

    - #### extFunction

          java.lang.Object extFunction(java.lang.String ns,
                                       java.lang.String funcName,
                                       java.util.Vector argVec,
                                       java.lang.Object methodKey)
                                throws javax.xml.transform.TransformerException

      Execute the extension function.
      Throws:
        `javax.xml.transform.TransformerException`

    - #### extFunction

          java.lang.Object extFunction(FuncExtFunction extFunction,
                                       java.util.Vector argVec)
                                throws javax.xml.transform.TransformerException

      Execute the extension function.
      Throws:
        `javax.xml.transform.TransformerException`

Copyright © 2023 Apache XML Project. All Rights Reserved.